After pondering different solutions, it is decided to use a single
cookie.  It will contain a value formed of two parts: name and number.
The name is encoded using base 64 encoding (which uses "A-Za-z0-9+/",
and equal signs for padding).  The number is printed in decimal
notation, using ASCII digits (0-9).  A cookie may not contain
semicolon, comma or white space.  The name and number are separated by
a separator; it seems reasonable to use colon (":").

The equal sign that base 64 uses for padding is changed to a #.

Both the name and number parts may be empty.

---------

Probably wanted behaviour of LM

A: The cookie name is set.
B: The authorization name is equal to the cookie LysKOM_name.
C: The cookie number is set.
D: The URL contains a session id.
E: cookie.number and URL.session_id is equal.
F: The authorization name is
	0: non-matching
	1: unique
	2: ambiguous.

ABCDEF
0o00o0 401	# First attempt (10, 12)
0o00o1 use the session from auth.name (15)	# First attempt
0o00o2 multiple choice from auth.name (13)  # First attempt
0o01o0 401 (17)
0o01o1 use the session from auth.name (18, 19)
0o01o2 multiple choice from auth.name (20)
0o10o- use session from LysKOM_number (assume client discarded name) (21,22)
0o110- redirect to session-less URL (23)
	(LM uses session from URL; SC redirects)
0o111- redirect to session-less URL (24)
	(LM uses session from URL; SC redirects)
10---0 401 (25)
10---1 use the session from auth.name (26, 27)
10---2 multiple choice from auth.name (28)
1100o0 401 (29)
1100o1 use the session from auth.name (30)
1100o2 multiple choice from auth.name (31)
1101o- use the session from the URL	# Select from multiple choice (32)
1110o- use the session from LysKOM_number	# Normal read (33)
11110- use the session from URL (back, byte av session)
11111- use the session from LysKOM_number	# Normal read (34, 35)

ML:

Inga URL:er med sessioner i, utom frn valsidan vid inloggning.
Fljdsats: om en sessionen finns i URL:en ska den anvndas.  Punkt.
Om man misslyckas ska man inte f en 401, utan en "det gick fel"-sida
med lnkar till URL:less session, re-enter lsenord, och kanske mer.

REGLOR fr LM:

- auth saknas -> 401.  Alltid.  Ev. cookie behlls.
- auth.name och cookie.name r olika (bgge finns) -> bortse frn
  cookie.  Nolla cookie.  (I den vidare behandlingen stts kanske
  cookie igen).
- url.session finns -> Frsk anvnda den, utan att sl upp namnet.
- - url.session misslyckas pga oknd anvndare: -> felsida (cookie nollas)
- - url.session misslyckas pga bad password: -> annan felsida (cookie nollas)
- om cookie finns och cookie.name == auth.name:
- - anvnd cookie.session
- - - om inloggning p nystartad SC misslyckas: -> 401 (cookie behlls)
- sl upp auth.name
- - unikt: koppla till SC
- - - om inloggning p nystartad SC misslyckas: -> 401 (ingen cookie)
- - ingen match: -> 401
- - unambiguous: valsida

Observation: det tycks som om LM aldrig stter en cookie.  Cookies
stts bara vid lyckad inloggning, och d r det enklast om SC stter
den.  Man skulle till och med kunna g s lngt att LM aldrig pverkar
cookies utom nr den nollar den.  Men fr enkelhetens skull stter LM
alltid cookien.

REGLOR fr SC (unsorted, so far):

- url.session finns -> redirect till URL utan session. (set cookie)
  (Detta grs innan lsenordskoll fr att frhindra ondliga loopar).
- om auth.password ej stmmer: -> 401 (cookie resettas)
- bryr sig ej om auth.name (frutom att cookie.name stts frn auth.name)
- bryr sig ej om cookies (frutom att de stts eller resettas)

ANNAT:

- access av "/relogin" ger:

	om cookie satt: 401 med nollad cookie
	annars: redirect till /login
