# Makefile for generation of LyStr.LyStr.Map
#
# $Id: LyStr.LyStr.CHMap.make,v 1.1 1996/08/10 01:45:26 ceder Exp $
# Copyright (C) 1996  Per Cederqvist and Inge Wallin
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

LyStr.LyStr.Map.h:	\
	LyStr.LyStr.CHMap.h

LyStr.LyStr.Map.cc:	\
	LyStr.LyStr.CHMap.h

LyStr.LyStr.CHMap.cc:	\
	LyStr.LyStr.CHMap.h

LyStr.LyStr.CHMap.h:	\
		LyStr.LyStr.CHMap.make
	$(GENCLASS) -2 LyStr val LyStr val CHMap
	$(GENCLASS) -2 LyStr val LyStr val Map
	@# The sed script below edits the ctor for a LyStrLyStrCHMap
	@# so that it doesn't require any default arguments.  The
	@# default contents of a LyStrLyStrCHMap is an empty string.
	(echo '#include "LyStr.h"') \
		| cat - LyStr.LyStr.CHMap.h \
		| sed 's/dflt/dflt=LyStr()/' > lystrlystrmap.tmp
	mv lystrlystrmap.tmp LyStr.LyStr.CHMap.h
	(echo '#include "LyStr.h"') \
		| cat - LyStr.LyStr.Map.h > lystrlystrmap.tmp
	mv lystrlystrmap.tmp LyStr.LyStr.Map.h
