// Tell the server that the user was active.
//
// $Id: who_is_on_dynamic_q.h,v 1.1 1996/08/06 09:18:05 ceder Exp $
// Copyright (C) 1996  Per Cederqvist and Inge Wallin
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef KOMXX_WHO_IS_ON_DYNAMIC_Q_H
#define KOMXX_WHO_IS_ON_DYNAMIC_Q_H

#include "kom-types.h"
#include "question.h"
#include "dynamic-session-info.h"
#include "array.h"

class Connection;

// 83

class who_is_on_dynamic_question : public question {
  public:
    who_is_on_dynamic_question(Connection *conn,
			       bool want_visible = true,
			       bool want_invisible = false,
			       long active_last = 0);
    ~who_is_on_dynamic_question();
    void parser(prot_a_LyStr &str);
    Array<Dynamic_session_info> result();
  private:
    Array<Dynamic_session_info> wholist;
};

#endif
